bm::lock_guard< Lock > Class Template Reference

Simple scoped lock guard. More...

`#include <bmtask.h>`

## Public Member Functions

| lock_guard (Lock &lk) noexcept(bm::is_lock_noexcept< Lock >::value)
| ~lock_guard ()

## Detailed Description

template<typename Lock>
class bm::lock_guard< Lock >

Simple scoped lock guard.

Definition at line 226 of file bmtask.h.

## Constructor & Destructor Documentation

## lock_guard()

template<typename Lock>

bm::lock_guard< Lock >::lock_guard | ( | Lock & | lk | ) |

inline noexcept

Definition at line 229 of file bmtask.h.

References bm::is_lock_noexcept< T >::value.

## ~lock_guard()

template<typename Lock>

bm::lock_guard< Lock >::~lock_guard | ( |  | ) |

inline

Definition at line 233 of file bmtask.h.

The documentation for this class was generated from the following file:

- bmtask.h